[
   uuid(5ef2bdf2-1958-11d1-917b-00608c86b89c),
   helpstring("CJHelloLib Type Library"),
   version(1.0)
]
library CJHelloLib
{
   importlib("stdole32.tlb");

   [
      uuid(5ef2bdf1-1958-11d1-917b-00608c86b89c),
      helpstring("ICJHello Interface")
   ]
   dispinterface ICJHello
   {
      properties:
      methods:
      [ helpstring("SayHello Method"), id(1) ]
      void SayHello();

      [ helpstring("getHelloMessage Method"), id(2) ]
      BSTR getHelloMessage();

      [ helpstring("putHelloMessage Method"), id(3) ]
      void putHelloMessage([in] BSTR p1);

   }

   [
      uuid(5ef2bdf0-1958-11d1-917b-00608c86b89c),
      helpstring("CCJHello Object")
   ]
   coclass CCJHello
   {
      [ default ]
      dispinterface ICJHello;
   };

};
